/**@file  CoverSeparator.cpp
 * @brief  Separator for Cover Inequalities
 * @author Luigi De Giovanni
 * implementation
 */

#include "CoverSeparator.hpp"
#include <sstream>
#include "scip_exception.hpp"

#include "lgeneral.hpp"

using namespace std;
using namespace scipMeMOC;


/*****************************************
 * IMPLEMENT CoverSaparator methods here *
 *****************************************/


inline int scipMeMOC::L_roundDoubleToInt(SCIP * scip, double x)
{
  if ( SCIPisFeasEQ(scip, x, int(x))) {
    return int(x);
  } 
  return int(x) + 1;
}
